org.apache.tinkerpop.gremlin.process.remote.traversal

## Interface RemoteTraversalSideEffects

- All Superinterfaces:
    AutoCloseable, Cloneable, Serializable, TraversalSideEffects
  All Known Implementing Classes:
    AbstractRemoteTraversalSideEffects, DriverRemoteTraversalSideEffects, EmbeddedRemoteTraversalSideEffects

      public interface RemoteTraversalSideEffects
      extends TraversalSideEffects, AutoCloseable

  When a traversal is executed remotely, the ability to retrieve those side-effects (i.e. the value in "a" in the traversal `g.V().aggregate('a').values('name')`) can be exposed through this interface. As an example, with TinkerPop's `DriverRemoteConnection` that connects to Gremlin Server as a "remote", the side-effects are left on the server. The `RemoteTraversalSideEffects` implementation, in that case, lazily loads those side-effects when requested. Implementations should attempt to match the features of the locally processed `DefaultTraversalSideEffects` to keep consistency.
  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.process.traversal.TraversalSideEffects

      `TraversalSideEffects.Exceptions`

  - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default void` | `close()` If the "remote" that actually executed the traversal maintained resources that can be released, when the user is done with the side-effects, then this method can be used to trigger that release.

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.TraversalSideEffects

      `add, clone, exists, forEach, get, getOrCreate, getReducer, getRegisteredSupplier, getSackInitialValue, getSackMerger, getSackSplitter, getSupplier, isEmpty, keys, mergeInto, register, registerIfAbsent, registerSupplier, registerSupplierIfAbsent, remove, set, setSack`

- - ### Method Detail

    - #### close

          default void close()
                      throws Exception

      If the "remote" that actually executed the traversal maintained resources that can be released, when the user is done with the side-effects, then this method can be used to trigger that release.
      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in interface `TraversalSideEffects`
      Throws:
        `Exception`

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.